Subject: Re: gs.exe
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 25 Apr 2001 00:16:41 +0200

Charles S. Wilson schrieb am 2001-04-23, 22:17:

Hi Chuck,

> You need to either recompile gs.exe against the cygwin libpng-1.0.9-3
> package, or revert back to the cygwin libpng-1.0.8-2 package. 

I tried to downgrade the libpng-package...

[...]
> (Actually, closer inspection of the gs.exe binary indicates that it was
> built against a cygwin libpng package that's even older than 1.0.8-2,

Aha. that is the one io deleted the last days...
Is the old version still available at cygutils?

> because it expects the png_init_io symbol at ordinal # 169 (cygwin-gcc
> automatic assignment when I built the old version of libpng for
> cygwin).  1.0.8-2 exports that symbol at # 170 (cygwin-gcc automatic
> assignment when I built libpng-1.0.8 for cygwin).  However, the .def
> file in 1.0.9-3 explicitly exports that symbol at #171.
> 
> (You can check all this yourself using: 'objdump --all-headers gs.exe |
> grep png_init_io' -- but remember to add one to numbers reported by
> objdump.  Objdump uses 0-based numbering, whereas the .def files use
> 1-based numbering -- as if things weren't confusion enough.)
> 
> See:
> http://sources.redhat.com/ml/cygwin/2001-02/msg00193.html

Hmmm, is it not superflues to distribute gs now with cygwin
and the new libpng?
Maybe i try to build gs again.

Thank you very much, Chuck.
 
> "Gerrit P. Haase" wrote:
> > 
> > Hi cygwinners,
> > 
> > i got an error when starting gs.exe.
> > 
> > Procedure entry point "png_init_io" couldn't be found
> > in cygpng2.dll is the win popup saying.
> > 
> > Someone else got the same behaviour?
> > 

Gerrit

-- 
=^..^= [email-masked]
PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple